%define base_name       kwin-style
%define theme_name      smoothblend
%define name            %{base_name}-%{theme_name}
%define version         1.1
%define summary         Smoothblend kwinstyle for KDE

Name:                   %{name}
Version:                %{version}
Release:                %mkrel 7
Summary:                %{summary}
License:                GPL
Group:                  Graphical desktop/KDE
Source:                 %{theme_name}-%{version}.tar.bz2
URL:                    http://kde-look.org/content/show.php?content=21107
BuildRequires:          kdebase-devel
BuildRequires:          X11-devel
BuildRoot:              %{_tmppath}/%{name}-buildroot

%description
Smooth Blend - a smooth blending of the window 
background color into the titlebar.

%prep
%setup -q -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%{?__cputoolize: %{__cputoolize} }


./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings

%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README CREDITS TODO
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_libdir}/kde3/kwin_%{theme_name}_config.*
%{_datadir}/apps/kwin/%{theme_name}.desktop



%changelog
* Thu Sep 07 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-07 01:54:26 (60437)
- Add BuildRequires

* Tue Aug 08 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-08 12:54:29 (54409)
- Increase release

* Tue Aug 08 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-08 12:52:16 (54408)
- Fix  rpmlint warnings

* Tue Aug 08 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-08 12:45:14 (54407)
- Import kwin-style-smoothblend

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1-5mdk
- Remove redundant BuildRequires

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 1.1-4mdk
- fix x86_64 build
- %%mkrel

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1-3mdk
- Rebuild

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1-2mdk
- Rebuild

* Mon Apr 18 2005 Sebastien Savarin <plouf@mandriva.org> 1.1-1mdk
- New release 1.1

* Mon Mar 07 2005 Sebastien Savarin <plouf@mandrake.org> 0.beta2-1mdk
-Initial mandrake release

